//--------------------------------------------------------------
// File     : main.c
// Datum    : 06.09.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der Backup-RAM-Lib
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_bkp_ram.h"

int main(void)
{
  ErrorStatus check;
  uint16_t ram_wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der LEDs
  UB_Led_Init();

  // init vom Backup-RAM
  check=UB_BKP_RAM_Init();
  if(check==SUCCESS) {
    // grne LED einschalten
    UB_Led_On(LED_GREEN);

    // RAM Adresse 0x00 auslesen
    ram_wert=UB_BKP_RAM_Read(0x00);
    // test ob Inhalt stimmt
    if(ram_wert==0x3AC4) {
      // Inhalt ist richtig
      UB_Led_On(LED_BLUE);
    }
    else {
      // wenn Inhalt nicht stimmt
      UB_Led_On(LED_ORANGE);
      // Adresse 0x00 mit Wert 0x3AC4 beschreiben
      UB_BKP_RAM_Write(0x00,0x3AC4);
    }
  }
  else {
    // Fehler
    UB_Led_On(LED_RED);
  }


  while(1)
  {

  }
}

