//--------------------------------------------------------------
// File     : stm32_ub_bkp_ram.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_BKPRAM_H
#define __STM32F4_UB_BKPRAM_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include "stm32f4xx_rcc.h"
#include "stm32f4xx_pwr.h"




//--------------------------------------------------------------
// Defines vom Backup-RAM
// siehe Referenz-Manual Seite 53
//--------------------------------------------------------------

#define   BKP_RAM_BASE_ADR  BKPSRAM_BASE
#define   BKP_RAM_MAX_ADR   0x07FF  // 2k*16bit = 4kByte



//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
ErrorStatus UB_BKP_RAM_Init(void);
void UB_BKP_RAM_Write(uint16_t adr, uint16_t wert);
uint16_t UB_BKP_RAM_Read(uint16_t adr);



//--------------------------------------------------------------
#endif // __STM32F4_UB_BKPRAM_H
